package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 项目结算记录表
 * @TableName project_settlement
 */
@TableName(value ="project_settlement")
@Data
public class ProjectSettlement implements Serializable {
    /**
     * 结算记录ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目明细名称
     */
    private String projectDetailName;

    /**
     * 结算数量
     */
    private Integer settlementQuantity;

    /**
     * 结算收益
     */
    private BigDecimal settlementRevenue;

    /**
     * 作业时间
     */
    private Date workTime;

    /**
     * 结算时间
     */
    private Date settlementTime;

    /**
     * 推广码申请记录id
     */
    private Long promoCodeRequestRecordId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}